type case = Good | Bad
type direction = N | S | E | W
type order = Pick of int list | Drop of int list | Move of direction

type package =
    { 
      pid : int;
      weight : int;
      going_x : int;
      going_y : int;
    }

let bad_package = 
  {
    pid = 0;
    weight = 0;
    going_x = 0;
    going_y = 0;
  }

type carrier =
    {
      max_weight : int;
      carryng_weight : int;
      carrying_package : package list;
    }    

type robot = 
    {
      rid : int;
      position_x : int;
      position_y : int;
      carrying : carrier;
    }

let game = Array.make_matrix 1002 1002 Bad
let package = Array.make 20000 bad_package

let move x y dest =
  match dest with
  | N -> (x, y - 1)
  | S -> (x, y + 1)
  | E -> (x + 1, y)
  | W -> (x - 1, y)
