let rec run_robot r =
  let r = Io.read_info r in
  let a = Io.read_available () in
  let o = Make_dec.make_dec r a in
  begin
    match o with
    | Global.Pick _ -> print_string "Pick"; print_newline ()
    | Global.Drop _ -> print_string "Drop"; print_newline ()
    | _ -> ()
  end;
  Io.write_order o;
  run_robot r

let main () =
  Random.self_init ();
  Io.make_cnx ();
  Io.print_player ();
  Io.read_game ();
  let r = Io.read_initial_stat () in
  print_string "begin";
  print_newline ();
  run_robot r

let _ = main ()
